DoubleBarrier Struct Reference

Placeholder for enumerated barrier types. More...

`#include <ql/experimental/barrieroption/doublebarriertype.hpp>`

## Public Types

enum | Type { KnockIn, KnockOut, KIKO, KOKI }

## Detailed Description

Placeholder for enumerated barrier types.

## Member Enumeration Documentation

## Type

enum Type

Enumerator
KOKI | lower barrier KI, upper KO lower barrier KO, upper KI